Remove a workspace member
curl --request DELETE \
--url https://api.steuerboard.com/v1/workspaces/{id}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-id: <x-client-id>' \
--data '
{
"userId": "cmf41ajzv003706un4i99q1a0"
}
'import requests
url = "https://api.steuerboard.com/v1/workspaces/{id}/members"
payload = { "userId": "cmf41ajzv003706un4i99q1a0" }
headers = {
"x-client-id": "<x-client-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'x-client-id': '<x-client-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({userId: 'cmf41ajzv003706un4i99q1a0'})
};
fetch('https://api.steuerboard.com/v1/workspaces/{id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "file",
"deleted": true,
"id": "cmf41ajzv003706un4i99q19z"
}{
"type": "bad_request",
"message": "<string>"
}{
"status_code": 401,
"type": "auth_error",
"code": "unauthorized",
"message": "<string>"
}{
"type": "auth_error",
"message": "<string>"
}{
"success": false,
"error": {
"name": "ValidationError",
"issues": [
{
"code": "invalid_type",
"path": [
"id"
],
"message": "Required"
}
]
}
}{
"status_code": 429,
"type": "rate_limit",
"code": "too_many_requests",
"message": "<string>"
}This response has no body data.workspace.members
Remove a workspace member
Removes a workspace member from a workspace.
DELETE
/
workspaces
/
{id}
/
members
Remove a workspace member
Authorizations
Bearer token authentication
Headers
The ID of the client
Example:
"cmf41ajzv003706un4i99q19z"
Path Parameters
The ID of the item
Example:
"cmf41ajzv003706un4i99q19z"
Body
application/json
Workspace member remove
Identifier of the user that should be removed from the workspace.
Example:
"cmf41ajzv003706un4i99q1a0"
⌘I